/// <reference path="../typings/tsd.d.ts" />
"use strict";
var fs = require("fs");
var path = require("path");
var program = require("commander");
var mkdirp = require("mkdirp");
var asyncblock = require("asyncblock");
var glob = require('glob');
var dtsgenerator = require("./index");
var pkg = require("../package.json");
// <hoge> is reuired, [hoge] is optional
program
    .version(pkg.version)
    .usage('[options] <file ... | file patterns using node-glob>')
    .option("-o, --out [file]", "output d.ts filename")
    .parse(process.argv);
var opts = program;
if (opts.args.length === 0) {
    program.help();
}
else {
    processGenerate();
}
function processGenerate() {
    asyncblock(function (flow) {
        opts.args.forEach(function (arg) {
            var files = glob.sync(arg);
            files.forEach(function (file) {
                fs.readFile(file, { encoding: 'utf-8' }, flow.add(file));
            });
        });
        var contents = flow.wait();
        var schemas = Object.keys(contents).map(function (key) { return contents[key]; });
        var result = dtsgenerator(schemas);
        if (opts.out) {
            flow.sync(mkdirp(path.dirname(opts.out), flow.callback()));
            flow.sync(fs.writeFile(opts.out, result, { encoding: 'utf-8' }, flow.callback()));
        }
        else {
            console.log(result);
        }
    });
}

//# sourceMappingURL=cli.js.map
