'use strict';
var assert = require('power-assert');
var fs = require('fs');
var dtsgenerator = require('../lib/index');
describe('file schema test', function () {
    it('news schema', function () {
        var schema = fs.readFileSync('./schema/news.json', { encoding: 'utf-8' });
        var actual = dtsgenerator([schema]);
        var expected = fs.readFileSync('./test/expected_file/news.d.ts', { encoding: 'utf-8' });
        assert.equal(assert._expr(assert._capt(actual, 'arguments/0'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: '/Users/horiuchihiroki/work/nodejs/dtsgenerator/test/file_schema_test.js',
            line: 12
        }), assert._expr(assert._capt(expected, 'arguments/1'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: '/Users/horiuchihiroki/work/nodejs/dtsgenerator/test/file_schema_test.js',
            line: 12
        }), actual);
    });
    it('JSON Schema\'s schema', function () {
        var schema = fs.readFileSync('./schema/schema', { encoding: 'utf-8' });
        var actual = dtsgenerator([schema]);
        var expected = fs.readFileSync('./test/expected_file/schema.d.ts', { encoding: 'utf-8' });
        assert.equal(assert._expr(assert._capt(actual, 'arguments/0'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: '/Users/horiuchihiroki/work/nodejs/dtsgenerator/test/file_schema_test.js',
            line: 18
        }), assert._expr(assert._capt(expected, 'arguments/1'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: '/Users/horiuchihiroki/work/nodejs/dtsgenerator/test/file_schema_test.js',
            line: 18
        }), actual);
    });
    it('related two schema', function () {
        var actual = dtsgenerator([
            fs.readFileSync('./schema/apibase.json', { encoding: 'utf-8' }),
            fs.readFileSync('./schema/apimeta.json', { encoding: 'utf-8' })
        ]);
        var expected = fs.readFileSync('./test/expected_file/apimeta.d.ts', { encoding: 'utf-8' });
        assert.equal(assert._expr(assert._capt(actual, 'arguments/0'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: '/Users/horiuchihiroki/work/nodejs/dtsgenerator/test/file_schema_test.js',
            line: 26
        }), assert._expr(assert._capt(expected, 'arguments/1'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: '/Users/horiuchihiroki/work/nodejs/dtsgenerator/test/file_schema_test.js',
            line: 26
        }), actual);
    });
});
//# sourceMappingURL=file_schema_test.js.map
